import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.sql.*;


public class looLisaja extends HttpServlet {
	String user, pass, pealkiri, esitaja, plaat, pikkus, web, stiil;
	boolean yhendus=false;
	Connection cn;
	Statement st;
	String lause;
	ResultSet rs;
	public void doGet(HttpServletRequest kysimus, HttpServletResponse vastus) throws IOException, ServletException{
		//vastus.setContentType("html/plain");
		PrintWriter valja = vastus.getWriter();
		valja.println("<html><head><title>.o0|ANDMETE LISAMINE|0o.</title></head><body>");
		valja.println("<center><h2>Andmete lisamine</h2></center><br/>");
		//KASUTAJANIME JA PAROOLI KÜSIMINE (KUI NEID VEEL POLE)
		user=kysimus.getParameter("u");
		pass=kysimus.getParameter("p");
		if(user!=null && pass!=null && user.length()!=0 && pass.length()!=0){
			try{
				Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
				cn=DriverManager.getConnection("jdbc:odbc:plaadikogu", user, pass);
				if(!cn.isClosed()){yhendus=true;}
			}catch(Exception e){valja.println("Tekkis viga: "+e);}
		}
		//KUI ÜHENDUST POLE
		if(yhendus==false){
			valja.println("Õigused puuduvad");
		}else{ //KUI KASUTAJANIMI JA PAROOL ON OLEMAS JA ÜHENDUS SAADUD
			valja.println("<h3>Palad</h3><br/><form><table>");
			//PEAB PASSI ja USERIT MEELES//
			valja.println("<input type='hidden' name='u' value='"+user+"' >");
			valja.println("<input type='hidden' name='p' value='"+pass+"' >");
			/////////////////////////////////
			valja.println("<tr><td>Pealkiri</td><td><input type='text' name='pealk'></td></tr>");
			valja.println("<tr><td>Pikkus</td><td><input type='text' name='pikk'></td></tr>");
			//KOOSTAB ESITAJATE VALIKU
			valja.println("<tr><td>Esitaja</td><td><SELECT name='esit'>");
				try{
					st=cn.createStatement();
					String lause="SELECT ID,Nimi FROM Esitajad ORDER BY Nimi ASC";
					rs=st.executeQuery(lause);
					while (rs.next()!=false){
						valja.println("<option value='"+rs.getString("ID")+"'>"+rs.getString("Nimi")+"</option>");
					}
				}catch(Exception e){valja.println("Tekkis viga: "+e);}
			valja.println("</select></td><td><a href='esitLisaja?u="+user+"&p="+pass+"'>Lisa Esitaja</a></td><td><a href='../esitMuutja.jsp?u="+user+"&p="+pass+"'>Muuda esitaja</a></td></tr>");
			////////////////////////////////
			//KOOSTAB PLAATIDE VALIKU
			valja.println("<tr><td>Plaat</td><td><SELECT name='plaadid'>");
				try{
					st=cn.createStatement();
					String lause="SELECT ID,pealkiri FROM Plaadid ORDER BY Pealkiri ASC";
					rs=st.executeQuery(lause);
					while (rs.next()!=false){
						valja.println("<option value='"+rs.getString("ID")+"'>"+rs.getString("Pealkiri")+"</option>");
					}
				}catch(Exception e){valja.println("Tekkis viga: "+e);}
			valja.println("</select></td><td><a href='plaadiLisaja?u="+user+"&p="+pass+"'>Lisa Plaat</a></td><td><a href='../plaadiMuutja.jsp?u="+user+"&p="+pass+"'>Muuda plaat</a></td></tr>");
			///////////////////////////////////
			//KOOSTAB STIILIDE VALIKU
			valja.println("<tr><td>Stiil</td><td><SELECT name='stiilid'>");
				try{
					st=cn.createStatement();
					lause="SELECT ID,Nimetus FROM Stiilid ORDER BY Nimetus ASC";
					rs=st.executeQuery(lause);
					while (rs.next()!=false){
						valja.println("<option value='"+rs.getString("ID")+"'>"+rs.getString("Nimetus")+"</option>");
					}
				}catch(Exception e){valja.println("Tekkis viga: "+e);}
			valja.println("</select></td><td><a href='stiiliLisaja?u="+user+"&p="+pass+"'>Lisa Stiil</a></td><td><a href='../stiiliMuutja.jsp?u="+user+"&p="+pass+"'>Muuda stiil</a></td></tr>");
			////////////////////////////////////
			valja.println("<tr><td><input type='submit' value='Saada'></td></tr>");
			valja.println("</table></form>");
			//LISAMINE
			//VÕTAB VALITUD VÄÄRTUSED
			pealkiri=kysimus.getParameter("pealk");
			esitaja=kysimus.getParameter("esit");
			plaat=kysimus.getParameter("plaadid");
			pikkus=kysimus.getParameter("pikk");
			web=kysimus.getParameter("web");
			stiil=kysimus.getParameter("stiilid");
			//KONTROLLIB VALITUD VÄÄRTUSE OLEMASOLU
			if(pealkiri!=null && plaat!=null && esitaja!=null && pikkus!=null && stiil!=null &&pealkiri.length()!=0 && plaat.length()!=0 && esitaja.length()!=0 && pikkus.length()!=0 && stiil.length()!=0){
				lause="INSERT INTO palad (CD, Pealkiri, Esitaja, Stiil, Pikkus) VALUES ("+plaat+",'"+pealkiri+"',"+esitaja+","+stiil+",'"+pikkus+"')";
				try{
					//valja.println("Käivitati päring: "+lause);
					st.executeUpdate(lause);
					//valja.println(" vastuseks saadi kood: "+i);
					valja.println("Loo Lisamine õnnestus!<br/>");
				}catch(Exception e){valja.println("Tekkis viga: "+e);}
			}else{
				valja.println("Sisesta kõik andmed");
			}
			try{cn.close();}catch(Exception e){valja.println("Tekkis viga: "+e);}
			valja.println("<br/><a href='login?u="+user+"&p="+pass+"'>TAGASI</a>");
			valja.println("</body></html>");
		}
	}
}